## sdlip
Class SDLIPException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--sdlip.SDLIPException

All Implemented Interfaces:
  java.io.Serializable

public final class SDLIPException
extends java.lang.Exception

This is the exception throws by SDLIP methods.

See Also:
  Serialized Form

Field Summary
`static short` `BAD_QUERY_EXC`
`static short` `ILLEGAL_METHOD_EXC`
`static short` `INVALID_PROPERTY_EXC`
`static short` `INVALID_REQUEST_EXC`
`static short` `INVALID_SESSIONID_EXC`
`static short` `INVALID_SUBCOLLECTION_EXC`
`static short` `MALFORMED_XML_EXC`
`static short` `NOT_FOUND_EXC`
`static short` `NOT_IMPLEMENTED_EXC`
`static short` `PAYMENT_REQUIRED_EXC`
`static short` `QUERY_LANGUAGE_UNKNOWN_EXC`
`static short` `REQUEST_TIMEOUT_EXC`
`static short` `SERVER_ERROR_EXC`
`static short` `SERVICE_UNAVAILABLE_EXC`
`static short` `UNAUTHORIZED_EXC`

Constructor Summary
`SDLIPException(short code, java.lang.String description)`
`SDLIPException(short code, java.lang.String description, XMLObject details)`

Method Summary
`short` `getCode()`
`XMLObject` `getDetails()`
`java.lang.String` `getReason()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INVALID_REQUEST_EXC

    public static final short INVALID_REQUEST_EXC

See Also:
  Constant Field Values

### UNAUTHORIZED_EXC

    public static final short UNAUTHORIZED_EXC

See Also:
  Constant Field Values

### PAYMENT_REQUIRED_EXC

    public static final short PAYMENT_REQUIRED_EXC

See Also:
  Constant Field Values

### NOT_FOUND_EXC

    public static final short NOT_FOUND_EXC

See Also:
  Constant Field Values

### ILLEGAL_METHOD_EXC

    public static final short ILLEGAL_METHOD_EXC

See Also:
  Constant Field Values

### REQUEST_TIMEOUT_EXC

    public static final short REQUEST_TIMEOUT_EXC

See Also:
  Constant Field Values

### QUERY_LANGUAGE_UNKNOWN_EXC

    public static final short QUERY_LANGUAGE_UNKNOWN_EXC

See Also:
  Constant Field Values

### BAD_QUERY_EXC

    public static final short BAD_QUERY_EXC

See Also:
  Constant Field Values

### INVALID_PROPERTY_EXC

    public static final short INVALID_PROPERTY_EXC

See Also:
  Constant Field Values

### INVALID_SESSIONID_EXC

    public static final short INVALID_SESSIONID_EXC

See Also:
  Constant Field Values

### INVALID_SUBCOLLECTION_EXC

    public static final short INVALID_SUBCOLLECTION_EXC

See Also:
  Constant Field Values

### MALFORMED_XML_EXC

    public static final short MALFORMED_XML_EXC

See Also:
  Constant Field Values

### SERVER_ERROR_EXC

    public static final short SERVER_ERROR_EXC

See Also:
  Constant Field Values

### NOT_IMPLEMENTED_EXC

    public static final short NOT_IMPLEMENTED_EXC

See Also:
  Constant Field Values

### SERVICE_UNAVAILABLE_EXC

    public static final short SERVICE_UNAVAILABLE_EXC

See Also:
  Constant Field Values

Constructor Detail

### SDLIPException

    public SDLIPException(short code,
                          java.lang.String description)

### SDLIPException

    public SDLIPException(short code,
                          java.lang.String description,
                          XMLObject details)

Method Detail

### getCode

    public short getCode()

### getReason

    public java.lang.String getReason()

### getDetails

    public XMLObject getDetails()